nxt.ms

## Class CurrencyIssuanceAttachment

- java.lang.Object
- - nxt.blockchain.Appendix.AbstractAppendix
  - - nxt.blockchain.Attachment.AbstractAttachment
    - - nxt.ms.CurrencyIssuanceAttachment

- All Implemented Interfaces:
    Appendix, Attachment

      public final class CurrencyIssuanceAttachment
      extends Attachment.AbstractAttachment

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Attachment

      `Attachment.AbstractAttachment, Attachment.EmptyAttachment, Attachment.PropertyDeleteAttachment`

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Appendix

      `Appendix.AbstractAppendix, Appendix.Encryptable, Appendix.Parser, Appendix.Prunable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringRw` | `CODE_RW`
    `static StringRw` | `DESCRIPTION_RW`
    `static StringRw` | `NAME_RW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrencyIssuanceAttachment(java.nio.ByteBuffer buffer)`
    `CurrencyIssuanceAttachment(org.json.simple.JSONObject attachmentData)`
    `CurrencyIssuanceAttachment(java.lang.String name, java.lang.String code, java.lang.String description, byte type, long initialSupplyQNT, long reserveSupplyQNT, long maxSupplyQNT, int issuanceHeight, long minReservePerUnitNQT, int minDifficulty, int maxDifficulty, byte ruleset, byte algorithm, byte decimals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getAlgorithm()`
    `java.lang.String` | `getCode()`
    `byte` | `getDecimals()`
    `java.lang.String` | `getDescription()`
    `long` | `getInitialSupplyQNT()`
    `int` | `getIssuanceHeight()`
    `int` | `getMaxDifficulty()`
    `long` | `getMaxSupplyQNT()`
    `int` | `getMinDifficulty()`
    `long` | `getMinReservePerUnitNQT()`
    `protected int` | `getMySize()`
    `java.lang.String` | `getName()`
    `long` | `getReserveSupplyQNT()`
    `byte` | `getRuleset()`
    `TransactionType` | `getTransactionType()`
    `byte` | `getType()`
    `protected void` | `putMyBytes(java.nio.ByteBuffer buffer)`
    `protected void` | `putMyJSON(org.json.simple.JSONObject attachment)`

    - ### Methods inherited from class nxt.blockchain.Attachment.AbstractAttachment

      `apply, getAppendixName, getAppendixType, getBaselineFee, getBaselineFeeHeight, getFinishValidationHeight, getNextFee, getNextFeeHeight, isAllowed, isPhasable, validate, validateId`

    - ### Methods inherited from class nxt.blockchain.Appendix.AbstractAppendix

      `getFee, getFullSize, getJSONObject, getSize, getVersion, isPhased, loadPrunable, loadPrunable, putBytes, validateAtFinish, verifyVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Appendix

      `getFee, getFullSize, getJSONObject, getSize, getVersion, hasAppendix, isPhased, putBytes`

- - ### Field Detail

    - #### NAME_RW

          public static final StringRw NAME_RW

    - #### CODE_RW

          public static final StringRw CODE_RW

    - #### DESCRIPTION_RW

          public static final StringRw DESCRIPTION_RW

  - ### Constructor Detail

    - #### CurrencyIssuanceAttachment

          public CurrencyIssuanceAttachment(java.nio.ByteBuffer buffer)
                                     throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### CurrencyIssuanceAttachment

          public CurrencyIssuanceAttachment(org.json.simple.JSONObject attachmentData)

    - #### CurrencyIssuanceAttachment

          public CurrencyIssuanceAttachment(java.lang.String name,
                                            java.lang.String code,
                                            java.lang.String description,
                                            byte type,
                                            long initialSupplyQNT,
                                            long reserveSupplyQNT,
                                            long maxSupplyQNT,
                                            int issuanceHeight,
                                            long minReservePerUnitNQT,
                                            int minDifficulty,
                                            int maxDifficulty,
                                            byte ruleset,
                                            byte algorithm,
                                            byte decimals)

  - ### Method Detail

    - #### getMySize

          protected int getMySize()

      Specified by:
        `getMySize` in class `Appendix.AbstractAppendix`

    - #### putMyBytes

          protected void putMyBytes(java.nio.ByteBuffer buffer)

      Specified by:
        `putMyBytes` in class `Appendix.AbstractAppendix`

    - #### putMyJSON

          protected void putMyJSON(org.json.simple.JSONObject attachment)

      Specified by:
        `putMyJSON` in class `Appendix.AbstractAppendix`

    - #### getTransactionType

          public TransactionType getTransactionType()

    - #### getName

          public java.lang.String getName()

    - #### getCode

          public java.lang.String getCode()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getType

          public byte getType()

    - #### getInitialSupplyQNT

          public long getInitialSupplyQNT()

    - #### getReserveSupplyQNT

          public long getReserveSupplyQNT()

    - #### getMaxSupplyQNT

          public long getMaxSupplyQNT()

    - #### getIssuanceHeight

          public int getIssuanceHeight()

    - #### getMinReservePerUnitNQT

          public long getMinReservePerUnitNQT()

    - #### getMinDifficulty

          public int getMinDifficulty()

    - #### getMaxDifficulty

          public int getMaxDifficulty()

    - #### getRuleset

          public byte getRuleset()

    - #### getAlgorithm

          public byte getAlgorithm()

    - #### getDecimals

          public byte getDecimals()